#!/bin/bash

#  ============LICENSE_START===============================================
#  Copyright (C) 2021 Nordix Foundation. All rights reserved.
#  ========================================================================
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#  ============LICENSE_END=================================================
#

# Run the producer as a docker app

. build_and_run_env.sh docker
set -x
docker run --rm -it $DOCKER_NETWORK_FLAG \
-p $PROD_EXT_PORT:$PROD_INT_PORT -p $PROD_EXT_SEC_PORT:$PROD_INT_SEC_PORT \
-e "OWN_HOST=$OWN_HOST" -e "PRODUCER_NAME=$PRODUCER_NAME" -e "ECS_BASE=$ECS_BASE"  \
--name $PROD_APP_NAME $PROD_IMAGE_NAME
